<?
include_once 'sys/inc/start.php';
include_once 'sys/inc/compress.php';
include_once 'sys/inc/sess.php';
include_once 'sys/inc/home.php';
include_once 'sys/inc/settings.php';
include_once 'sys/inc/db_connect.php';
include_once 'sys/inc/ipua.php';
include_once 'sys/inc/fnc.php';
include_once 'sys/inc/user.php';

only_reg();
$set['title']='Моя анкета';
include_once 'sys/inc/thead.php';
title();


if (isset($_POST['save'])){
if (isset($_POST['ank_name']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_name']))
{
$user['ank_name']=$_POST['ank_name'];
mysql_query("UPDATE `user` SET `ank_name` = '".my_esc($user['ank_name'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат имени';

if (isset($_POST['ank_d_r']) && (is_numeric($_POST['ank_d_r']) && $_POST['ank_d_r']>0 && $_POST['ank_d_r']<=31 || $_POST['ank_d_r']==NULL))
{
$user['ank_d_r']=$_POST['ank_d_r'];
if ($user['ank_d_r']==null)$user['ank_d_r']='null';
mysql_query("UPDATE `user` SET `ank_d_r` = $user[ank_d_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_d_r']=='null')$user['ank_d_r']=NULL;
}
else $err[]='Неверный формат дня рождения';

if (isset($_POST['ank_m_r']) && (is_numeric($_POST['ank_m_r']) && $_POST['ank_m_r']>0 && $_POST['ank_m_r']<=12 || $_POST['ank_m_r']==NULL))
{
$user['ank_m_r']=$_POST['ank_m_r'];
if ($user['ank_m_r']==null)$user['ank_m_r']='null';
mysql_query("UPDATE `user` SET `ank_m_r` = $user[ank_m_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_m_r']=='null')$user['ank_m_r']=NULL;
}
else $err[]='Неверный формат месяца рождения';

if (isset($_POST['ank_g_r']) && (is_numeric($_POST['ank_g_r']) && $_POST['ank_g_r']>0 && $_POST['ank_g_r']<=date('Y') || $_POST['ank_g_r']==NULL))
{
$user['ank_g_r']=$_POST['ank_g_r'];
if ($user['ank_g_r']==null)$user['ank_g_r']='null';
mysql_query("UPDATE `user` SET `ank_g_r` = $user[ank_g_r] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_g_r']=='null')$user['ank_g_r']=NULL;
}
else $err[]='Неверный формат года рождения';

if (isset($_POST['ank_city']) && preg_match('#^([A-zА-я\-]*)$#ui', $_POST['ank_city']))
{
$user['ank_city']=$_POST['ank_city'];
mysql_query("UPDATE `user` SET `ank_city` = '".my_esc($user['ank_city'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия города,не используйте пробел';




if (isset($_POST['ank_strana']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_strana']))
{
$user['ank_strana']=$_POST['ank_strana'];
mysql_query("UPDATE `user` SET `ank_strana` = '".my_esc($user['ank_strana'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия страны';

if (isset($_POST['ank_celznak']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['ank_celznak']))
{
$user['ank_celznak']=$_POST['ank_celznak'];
mysql_query("UPDATE `user` SET `ank_celznak` = '".my_esc($user['ank_celznak'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия цель знакомства';



if (isset($_POST['ank_xar']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['ank_xar']))
{
$user['ank_xar']=$_POST['ank_xar'];
mysql_query("UPDATE `user` SET `ank_xar` = '".my_esc($user['ank_xar'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия характера';

if (isset($_POST['ank_uvli']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['ank_uvli']))
{
$user['ank_uvli']=$_POST['ank_uvli'];
mysql_query("UPDATE `user` SET `ank_uvli` = '".my_esc($user['ank_uvli'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия увлечение';








if (isset($_POST['ank_oren']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_oren']))
{
$user['ank_oren']=$_POST['ank_oren'];
mysql_query("UPDATE `user` SET `ank_oren` = '".my_esc($user['ank_oren'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия ориентации';


if (isset($_POST['ank_poz']) && preg_match('#^([A-zА-я \-]*)$#ui', $_POST['ank_poz']))
{
$user['ank_poz']=$_POST['ank_poz'];
mysql_query("UPDATE `user` SET `ank_poz` = '".my_esc($user['ank_poz'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия с кем';


if (isset($_POST['ank_opar']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['ank_opar']))
{
$user['ank_opar']=$_POST['ank_opar'];
mysql_query("UPDATE `user` SET `ank_opar` = '".my_esc($user['ank_opar'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия о партнере';



if (isset($_POST['zanit']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['zanit']))
{
$user['zanit']=$_POST['zanit'];
mysql_query("UPDATE `user` SET `zanit` = '".my_esc($user['zanit'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия Занятости';



if (isset($_POST['polojen']) && preg_match('#^([A-zА-я \-\,.]*)$#ui', $_POST['polojen']))
{
$user['polojen']=$_POST['polojen'];
mysql_query("UPDATE `user` SET `polojen` = '".my_esc($user['polojen'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат названия положения';





if (isset($_POST['ank_icq']) && (is_numeric($_POST['ank_icq']) && strlen($_POST['ank_icq'])>=5 && strlen($_POST['ank_icq'])<=9 || $_POST['ank_icq']==NULL))
{
$user['ank_icq']=$_POST['ank_icq'];
if ($user['ank_icq']==null)$user['ank_icq']='null';
mysql_query("UPDATE `user` SET `ank_icq` = $user[ank_icq] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_icq']=='null')$user['ank_icq']=NULL;
}
else $err[]='Неверный формат ICQ';



if (isset($_POST['ank_rost']) && (is_numeric($_POST['ank_rost']) && strlen($_POST['ank_rost'])>=3 && strlen($_POST['ank_rost'])<=3 || $_POST['ank_rost']==NULL))
{
$user['ank_rost']=$_POST['ank_rost'];
if ($user['ank_rost']==null)$user['ank_rost']='null';
mysql_query("UPDATE `user` SET `ank_rost` = $user[ank_rost] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_rost']=='null')$user['ank_rost']=NULL;
}
else $err[]='Неверный формат роста';

if (isset($_POST['ank_ves']) && (is_numeric($_POST['ank_ves']) && strlen($_POST['ank_ves'])>=2 && strlen($_POST['ank_ves'])<=3 || $_POST['ank_ves']==NULL))
{
$user['ank_ves']=$_POST['ank_ves'];
if ($user['ank_ves']==null)$user['ank_ves']='null';
mysql_query("UPDATE `user` SET `ank_ves` = $user[ank_ves] WHERE `id` = '$user[id]' LIMIT 1");
if ($user['ank_ves']=='null')$user['ank_ves']=NULL;
}
else $err[]='Неверный формат веса';





if (isset($_POST['set_show_mail']) && $_POST['set_show_mail']==1)
{
$user['set_show_mail']=1;
mysql_query("UPDATE `user` SET `set_show_mail` = '1' WHERE `id` = '$user[id]' LIMIT 1");
}
else
{
$user['set_show_mail']=0;
mysql_query("UPDATE `user` SET `set_show_mail` = '0' WHERE `id` = '$user[id]' LIMIT 1");
}

if (isset($_POST['ank_n_tel']) && (is_numeric($_POST['ank_n_tel']) && strlen($_POST['ank_n_tel'])>=5 && strlen($_POST['ank_n_tel'])<=11 || $_POST['ank_n_tel']==NULL))
{
$user['ank_n_tel']=$_POST['ank_n_tel'];
mysql_query("UPDATE `user` SET `ank_n_tel` = '$user[ank_n_tel]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный формат номера телефона';

if (isset($_POST['ank_mail']) && ($_POST['ank_mail']==null || preg_match('#^[A-z0-9-\._]+@[A-z0-9]{2,}\.[A-z]{2,4}$#ui',$_POST['ank_mail'])))
{
$user['ank_mail']=$_POST['ank_mail'];
mysql_query("UPDATE `user` SET `ank_mail` = '$user[ank_mail]' WHERE `id` = '$user[id]' LIMIT 1");
}
else $err[]='Неверный E-mail';


if (isset($_POST['ank_o_sebe']) && strlen2($_POST['ank_o_sebe'])<=512)
{

if (preg_match('#[^A-zА-я0-9 _\-\=\+\(\)\*\?\.,]#ui',$_POST['ank_o_sebe']))$err[]='В поле "О себе" используются запрещенные символы';
else {
$user['ank_o_sebe']=$_POST['ank_o_sebe'];
mysql_query("UPDATE `user` SET `ank_o_sebe` = '".my_esc($user['ank_o_sebe'])."' WHERE `id` = '$user[id]' LIMIT 1");
}
}
else $err[]='О себе нужно писать меньше :)';

if (!isset($err))msg('Изменения успешно приняты');

}
err();
aut();


echo "<form method='post' action='?$passgen'>\n";
echo "Имя в реале:<br />\n<input type='text' name='ank_name' value='".output_text($user['ank_name'],false)."' maxlength='32' /><br />\n";
echo "Дата рождения:<br />\n";
echo "<input type='text' name='ank_d_r' value='$user[ank_d_r]' size='2' maxlength='2' />\n";
echo "<input type='text' name='ank_m_r' value='$user[ank_m_r]' size='2' maxlength='2' />\n";
echo "<input type='text' name='ank_g_r' value='$user[ank_g_r]' size='4' maxlength='4' /><br />\n";
echo "<a href='/pol.php'>Выбрать пол</a><br />\n";


echo "Страна:<br />\n<select name='ank_strana'>\n";




echo "<option value='Другие страны'".($user['ank_strana']==СНГ?" selected='selected'":null).">Другие страны</option>\n";


echo "<option value='Россия'".($user['ank_strana']==Россия?" selected='selected'":null).">Россия</option>\n";
echo "<option value='Украина'".($user['ank_strana']==Украина?" selected='selected'":null).">Украина</option>\n";
echo "<option value='Белоруссия'".($user['ank_strana']==Белоруссия?" selected='selected'":null).">Белоруссия</option>\n";
echo "<option value='Узбекистан'".($user['ank_strana']==Узбекистан?" selected='selected'":null).">Узбекистан</option>\n";
echo "<option value='Казахстан'".($user['ank_strana']==Казахстан?" selected='selected'":null).">Казахстан</option>\n";
echo "<option value='Азербайджан'".($user['ank_strana']==Азербайджан?" selected='selected'":null).">Азербайджан</option>\n";



echo "</select><br />\n";





echo "Город:<br />\n<input type='text' name='ank_city' value='$user[ank_city]' maxlength='32' /><br />\n";

echo "Ориентация:<br />\n<select name='ank_oren'>\n";





echo "<option value='Любая'".($user['ank_oren']==Любая?" selected='selected'":null).">Любая</option>\n";
echo "<option value='Гетеро'".($user['ank_oren']==Гетеро?" selected='selected'":null).">Гетеро</option>\n";
echo "<option value='Би'".($user['ank_oren']==Би?" selected='selected'":null).">Би</option>\n";

echo "</select><br />\n";

echo "Познакомлюсь с:<br />\n<select name='ank_poz'>\n";





echo "<option value='Девушкой'".($user['ank_poz']==Девушкой?" selected='selected'":null).">Девушкой</option>\n";
echo "<option value='Парнем'".($user['ank_poz']==Парнем?" selected='selected'":null).">Парнем</option>\n";


echo "</select><br />\n";


echo "О партнере:<br />\n<input type='text' name='ank_opar' value='$user[ank_opar]' maxlength='100' /><br />\n";




echo "Цель знакомства:<br />\n<select name='ank_celznak'>\n";





echo "<option value='Дружба и общение'".($user['ank_celznak']==Дружба?" selected='selected'":null).">Дружба и общение</option>\n";
echo "<option value='Флирт,СМС переписка'".($user['ank_celznak']==Флирт?" selected='selected'":null).">Флирт,СМС переписка</option>\n";
echo "<option value='Любовь,отношения'".($user['ank_celznak']==Любовь?" selected='selected'":null).">Любовь,отношения</option>\n";
echo "<option value='Брак,создание семьи'".($user['ank_celznak']==Брак?" selected='selected'":null).">Брак,создание семьи</option>\n";
echo "<option value='Виртуальный секс'".($user['ank_celznak']==Виртуальный?" selected='selected'":null).">Виртуальный секс</option>\n";
echo "<option value='Ищу спонсора'".($user['ank_celznak']==Ищу?" selected='selected'":null).">Ищу спонсора</option>\n";

echo "</select><br />\n";





echo "Положение:<br />\n<select name='polojen'>\n";





echo "<option value='В активном поиске'".($user['polojen']==актив?" selected='selected'":null).">В активном поиске</option>\n";
echo "<option value='Не женат'".($user['polojen']==Неженат?" selected='selected'":null).">Не женат</option>\n";
echo "<option value='Помолвлена'".($user['polojen']==Помолвлена?" selected='selected'":null).">Помолвлена</option>\n";
echo "<option value='Замужем'".($user['polojen']==Замужем?" selected='selected'":null).">Замужем</option>\n";

echo "<option value='Есть девушка'".($user['polojen']==Естьдевушка?" selected='selected'":null).">Есть девушка</option>\n";
echo "<option value='Есть парень'".($user['polojen']==Естьпарень?" selected='selected'":null).">Есть перень</option>\n";
echo "<option value='В гражданском браке'".($user['polojen']==Вгражданскомбраке?" selected='selected'":null).">В гражданском браке</option>\n";
echo "<option value='Помолвлен'".($user['polojen']==Помолвлен?" selected='selected'":null).">Помолвлен</option>\n";
echo "<option value='Женат'".($user['polojen']==Женат?" selected='selected'":null).">Женат</option>\n";
echo "<option value='Все сложно'".($user['polojen']==Всесложно?" selected='selected'":null).">Все сложно</option>\n";
echo "<option value='В разводе'".($user['polojen']==Вразводе?" selected='selected'":null).">В разводе</option>\n";





echo "</select><br />\n";



echo "Занятость:<br />\n<select name='zanit'>\n";





echo "<option value='Нет ответа'".($user['zanit']==Нетответа?" selected='selected'":null).">Нет ответа</option>\n";
echo "<option value='Учусь в школе'".($user['zanit']==Учусьшколе?" selected='selected'":null).">Учусь в школе</option>\n";
echo "<option value='Учусь в колледже'".($user['zanit']==Учусколледже?" selected='selected'":null).">Учусь в колледже</option>\n";
echo "<option value='Учусь в вузе'".($user['zanit']==Учусьвузе?" selected='selected'":null).">Учусь в вузе</option>\n";
echo "<option value='Работаю'".($user['zanit']==Работаю?" selected='selected'":null).">Работаю</option>\n";
echo "<option value='Безработный'".($user['zanit']==Безработный?" selected='selected'":null).">Безработный</option>\n";
echo "<option value='Служу Родине'".($user['zanit']==СлужуРодине?" selected='selected'":null).">Служу Родине</option>\n";

echo "</select><br />\n";







echo "О себе:<br />\n<input type='text' name='ank_o_sebe' value='$user[ank_o_sebe]' maxlength='512' /><br />\n";

echo "Характер:<br />\n<input type='text' name='ank_xar' value='$user[ank_xar]' maxlength='100' /><br />\n";
echo "Увлечения:<br />\n<input type='text' name='ank_uvli' value='$user[ank_uvli]' maxlength='100' /><br />\n";
echo "Ваш рост см:<br />\n<input type='text' name='ank_rost' value='$user[ank_rost]' maxlength='3' /><br />\n";
echo "Ваш вес кг:<br />\n<input type='text' name='ank_ves' value='$user[ank_ves]' maxlength='3' /><br />\n";


echo "ICQ:<br />\n<input type='text' name='ank_icq' value='$user[ank_icq]' maxlength='9' /><br />\n";
echo "E-mail:<br />\n<input type='text' name='ank_mail' value='$user[ank_mail]' maxlength='32' /><br />\n";


echo "<label><input type='checkbox' name='set_show_mail'".($user['set_show_mail']==1?' checked="checked"':null)." value='1' /> Показывать E-mail в анкете</label><br />\n";

echo "Номер телефона:<br />\n<input type='text' name='ank_n_tel' value='$user[ank_n_tel]' maxlength='11' /><br />\n";
echo "<input type='submit' name='save' value='Сохранить' />\n";
echo "</form>\n";
echo "<div class='foot'>\n";
echo "&raquo;<a href='/info.php'>Посмотреть анкету</a><br />\n";


if(isset($_SESSION['refer']) && $_SESSION['refer']!=NULL && otkuda($_SESSION['refer']))
echo "&laquo;<a href='$_SESSION[refer]'>".otkuda($_SESSION['refer'])."</a><br />\n";

echo "&laquo;<a href='/umenu.php'>Мое меню</a><br />\n";
echo "</div>\n";

include_once 'sys/inc/tfoot.php';
?>